Public Attributes | List of all members
app_graphics_dc_params_t Struct Reference
Peripheral Driver » APP DRIVER » DC » Structures

Define init params for DC. More...

`#include <app_graphics_dc.h>`

Collaboration diagram for app_graphics_dc_params_t:
[legend]

## Public Attributes
graphics_dc_mspi_e | mspi_mode
| Specify spi mode, Ref Optional values of graphics_dc_mspi_e. More...
graphics_dc_clock_freq_e | clock_freq
| Specify dc clock freq, Ref Optional values of graphics_dc_clock_freq_e. More...
graphics_dc_clock_mode_e | clock_mode
| Specify dc clock mode, Ref Optional values of graphics_dc_clock_mode_e. More...
graphics_dc_tcsu_cycle_e | tcsu_cycle
| Specify cs setup delay, Ref Optional values of graphics_dc_tcsu_cycle_e. More...
graphics_dc_layer_mode_e | layer_mode
| Specify which layer to flush, Ref Optional values of graphics_dc_layer_mode_e. More...
graphics_dc_mipi_format_e | mipicfg_format
| Specify mipi timing format, Ref Optional values of graphics_dc_mipi_format_e. More...
uint16_t | resolution_x
| Specify the x resolution in pixels. More...
uint16_t | resolution_y
| Specify the y resolution in pixels. More...
app_graphics_dc_pins_t | pins_cfg
| Specify pins state. More...

## Detailed Description

Define init params for DC.

Definition at line 261 of file app_graphics_dc.h.

## Member Data Documentation

## ◆ clock_freq

graphics_dc_clock_freq_e app_graphics_dc_params_t::clock_freq

Specify dc clock freq, Ref Optional values of graphics_dc_clock_freq_e.

Definition at line 263 of file app_graphics_dc.h.

## ◆ clock_mode

graphics_dc_clock_mode_e app_graphics_dc_params_t::clock_mode

Specify dc clock mode, Ref Optional values of graphics_dc_clock_mode_e.

Definition at line 264 of file app_graphics_dc.h.

## ◆ layer_mode

graphics_dc_layer_mode_e app_graphics_dc_params_t::layer_mode

Specify which layer to flush, Ref Optional values of graphics_dc_layer_mode_e.

Definition at line 266 of file app_graphics_dc.h.

## ◆ mipicfg_format

graphics_dc_mipi_format_e app_graphics_dc_params_t::mipicfg_format

Specify mipi timing format, Ref Optional values of graphics_dc_mipi_format_e.

Definition at line 267 of file app_graphics_dc.h.

## ◆ mspi_mode

graphics_dc_mspi_e app_graphics_dc_params_t::mspi_mode

Specify spi mode, Ref Optional values of graphics_dc_mspi_e.

Definition at line 262 of file app_graphics_dc.h.

## ◆ pins_cfg

app_graphics_dc_pins_t app_graphics_dc_params_t::pins_cfg

Specify pins state.

Definition at line 270 of file app_graphics_dc.h.

## ◆ resolution_x

uint16_t app_graphics_dc_params_t::resolution_x

Specify the x resolution in pixels.

Definition at line 268 of file app_graphics_dc.h.

## ◆ resolution_y

uint16_t app_graphics_dc_params_t::resolution_y

Specify the y resolution in pixels.

Definition at line 269 of file app_graphics_dc.h.

## ◆ tcsu_cycle

graphics_dc_tcsu_cycle_e app_graphics_dc_params_t::tcsu_cycle

Specify cs setup delay, Ref Optional values of graphics_dc_tcsu_cycle_e.

Definition at line 265 of file app_graphics_dc.h.

The documentation for this struct was generated from the following file:

- app_graphics_dc.h